![Plugin Banner](https://s3.amazonaws.com/foogallery/banner-772x250.jpg)

[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/fooplugins/foogallery/badges/quality-score.png?b=develop)](https://scrutinizer-ci.com/g/fooplugins/foogallery/?branch=develop)
# FooGallery #
**Contributors:** bradvin, fooplugins
**Donate link:** http://fooplugins.com
**Tags:** images,gallery,album,nextgen,photos,pictures,media,attachments
**Requires at least:** 3.9
**Tested up to:** 4.0
**Stable tag:** trunk
**License:** GPLv2 or later
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html

The Most Intuitive and Extensible Gallery Creation and Management Tool Ever Created for WordPress.

## Description ##

Built to be simple for users and highly flexible for developers. Our #1 goal with FooGallery was to utilize as much of the core image and gallery handling functionality that is already built into WordPress as possible. The result is an intuitive gallery creation and management experience with the added benefit of the powerful features that FooGalley includes.

[View the FooGallery Homepage](http://foo.gallery/)

FooGallery was designed to be the most developer-friendly gallery plugin available for WordPress. It was also built on top of a solid extension framework, which means different functionality is separated out into different areas in the codebase. It also means the core plugin is lightweight, but still allowing for the most flexibility.

Features:

*	Gallery custom post type
*	Use built-in media library to manage images
*	Drag n Drop reordering of images
*	Built-in gallery templates
*	Built-in support for FooBox
*	Built on an extension framework
*	Build-in Extensions Store
*	Copy to clipboard shortcodes
*	Visual shortcodes in rich text editor
*	Gallery picker to insert shortcode
*	Page usage metabox with one-click gallery page creation
*	NextGen importer tool
*	plus many, many more

Built-in Gallery Templates

*	Responsive Image Gallery
*	Masonry Gallery
*	Simple Portfolio
*	Justified Gallery

Extensions:

*	Default Gallery Templates (bundled)
*	NextGen Gallery Importer (bundled)
*	[FooBox PRO Lightbox](http://fooplugins.com/plugins/foobox/?utm_source=foogalleryplugin&utm_medium=foogallerylink&utm_campaign=foogallery_wprepo)
*	[FooBox FREE Lightbox](http://wordpress.org/plugins/foobox-image-lightbox)
*	[Polaroid Template](https://github.com/fooplugins/foogallery-polaroid-template)
*	[Use Media Menu](https://github.com/fooplugins/foogallery-media-menu)
*	Albums (coming soon)
*	Build your own!!!

Documentation:

*	[FooGallery 101](http://docs.fooplugins.com/foogallery/foogallery-101/)
*	[Developer 101](http://docs.fooplugins.com/foogallery/foogallery-developers-101/)
*	[Actions and Filters](http://docs.fooplugins.com/foogallery/actions-filters/)

Contribute:

FooGallery is hosted on [GitHub](https://github.com/fooplugins/foogallery). If you find a bug, please [create an issue](https://github.com/fooplugins/foogallery/issues).

## Installation ##

1. Upload `foogallery` folder to the `/wp-content/plugins/` directory
2. Activate the plugin through the 'Plugins' menu in WordPress
3. You will be redirected to the FooGallery Help page to get your started

## Frequently Asked Questions ##

### Can I build an extension? ###

Hell, yes! Check out our [developer page](http://foo.gallery/developers/)

## Screenshots ##

### 1. Gallery Edit Page ###
![Gallery Edit Page](https://s3.amazonaws.com/foogallery/screenshot-1.jpg)

### 2. Visual Shortcodes ###
![Visual Shortcodes](https://s3.amazonaws.com/foogallery/screenshot-2.jpg)

### 3. Gallery Picker ###
![Gallery Picker](https://s3.amazonaws.com/foogallery/screenshot-3.jpg)

### 4. Frontend example with default template ###
![Frontend example with default template](https://s3.amazonaws.com/foogallery/screenshot-4.jpg)


## Changelog ##

### 1.1.8 ###
* Added 2 new gallery templates
* Added 10+ actions and filters for more customization
* Countless bug fixes and enhancements

### 1.1.7 ###
* first version!