<?php
/**
 * Template Name: AirMech A-Team Page 
 *
 * @package WordPress
 * @subpackage AirMech_Arena
 */
?>
<?php get_header(); ?>
	<div class="container">
		<div id="a-team-wrapper">
			<div class="title">
				<div class="row">
						<div class="col-lg-4">
							<h2><?php echo get_the_title(); ?></h2>
						</div> <!-- col-2-lg -->
						<div class="col-lg-8">
							<img src="<?php echo IMAGES ?>/redflair-media.png" alt="" class="img-responsive pull-right visible-lg">
						</div>
				</div><!-- row -->
				<div class="row">
					<hr>
				</div> <!-- row -->			
			</div> <!-- title -->			
			<div class="row">
				<div class="player-list">
					<?php 
						$args = array(
								'showposts' => -1,
								'post_type' => 'ama_a_teams'
						);
						$the_query = new WP_Query( $args );
					?> 
					<?php if ( $the_query->have_posts() ) : ?>
						<ul>
							<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
								<li class="player-wrappers">
									<p><?php echo the_title(); ?></p>
									<?php the_post_thumbnail( 'full', array( 'class' => 'center-block img-responsive' ) ); ?>
									<div class="player-social-links">
										<ul>
											<li><a href="<?php the_field('twitter_link'); ?>" target="_blank" class="twitter"></a></li>
											<li><a href="<?php the_field('facebook_link'); ?>" target="_blank" class="facebook"></a></li>
										</ul>
									</div> <!-- player-social-links -->
									<div class="player-video-container">

										<iframe width="225" height="127" src="<?php the_field('featured_video'); ?>" frameborder="0" allowfullscreen></iframe>
									</div>
									<div class="player-description">
										<p><?php echo the_content(); ?></p>
									</div>
								</li> <!-- player-wrappers -->
							<?php endwhile; ?>
							<?php wp_reset_postdata(); ?>	
						</ul>
					<?php else : ?>
						<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
					<?php endif; ?>
				</div> <!-- player-list -->
			</div> <!-- row -->
			<div class="row">
				<div class="title">
					<div class="col-lg-4">
						<h2>Schedules</h2>
					</div> <!-- col-2-lg -->
					<div class="col-lg-8">
						<img src="<?php echo IMAGES ?>/redflair-media.png" alt="" class="img-responsive pull-right visible-lg">
					</div>
				</div> <!-- title -->			
			</div><!-- row -->
			<div class="row">
				<div class="col-lg-12">
					<hr>
				</div> <!-- col-lg-12 -->
			</div> <!-- row -->	
			<div class="row">
				<div class="schedule-wrapper">
					<ul>
						<li>
							<div class="col-lg-3">
								<div class="player-logo">
									<img src="<?php echo IMAGES; ?>/players/cloud9.png" alt=""  class="center-block img-responsive">
								</div>
							</div>
							<div class="col-lg-9">
								<div class="player-schedules-wrapper">
									<h3>Stage 1</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
									<h3>Stage 2</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
								</div> <!-- player-schedules-wrapper -->
							</div> <!-- col-lg-9 -->
						</li>
						<li>
							<div class="col-lg-3">
								<div class="player-logo">
									<img src="<?php echo IMAGES; ?>/players/evil-genius.png" alt="" class="center-block img-responsive">
								</div>
							</div>
							<div class="col-lg-9">
								<div class="player-schedules-wrapper">
									<h3>Stage 1</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
									<h3>Stage 2</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
								</div> <!-- player-schedules-wrapper -->
							</div> <!-- col-lg-9 -->							
						</li>
						<li>
							<div class="col-lg-3">
								<div class="player-logo">
									<img src="<?php echo IMAGES; ?>/players/complexity.png" alt="" class="center-block img-responsive">
								</div>
							</div>
							<div class="col-lg-9">
								<div class="player-schedules-wrapper">
									<h3>Stage 1</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
									<h3>Stage 2</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
							</div> <!-- col-lg-9 -->
						</li>
						<li>

							<div class="col-lg-3">
								<div class="player-logo">
									<img src="<?php echo IMAGES; ?>/players/curse-academy.png" alt="" class="center-block img-responsive">
								</div>
							</div>
							<div class="col-lg-9">
								<div class="player-schedules-wrapper">
									<h3>Stage 1</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->
									<h3>Stage 2</h3>
									<hr>
									<div class="player-schedules">
										<table>
											<tr>
												<td>Invites Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Invites End:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Combat Starts:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
										<table>
											<tr>
												<td>Ladder Close:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Brackets Posted:</td>
												<td>Jan 01 2015</td>
											</tr>
											<tr>
												<td>Stage 1 Finals:</td>
												<td>Jan 01 2015</td>
											</tr>
										</table>
									</div> <!-- player-schedules -->

							</div> <!-- col-lg-9 -->
						
						</li>
					</ul>
				</div>
			</div>
		</div><!-- results-and-stadings-wrapper	 -->
	</div> <!-- container -->
<?php get_footer(); ?>